View Issue Details

IDProjectCategoryView StatusLast Update
0005903unrealircdpublic2024-07-06 10:21
ReporterGHF Assigned Tosyzop  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version5.0.9 
Fixed in Version6.1.7-rc1 
Summary0005903: exempt channel from restrict-commands channel-message
DescriptionAdd a spamfilter exception based on reputation
Exempt #help-channel from channel-message in restrict-commands
TagsNo tags attached.
3rd party modules

Activities

syzop

2021-06-14 17:23

administrator   ~0022003

"Add a spamfilter exception based on reputation"
You could add an /ELINE for type spamfilter for a security group, eg: ~G:trusted-users
If you need more granular control you can create a new security group: https://www.unrealircd.org/docs/Security-group_block
I can imagine if it is a bit too much of a hassle though, but it works :D

syzop

2024-07-06 09:27

administrator   ~0023251

We have spamfilter::except since a year or so but this was undocumented, did so now. And i exposed destination now in mask items / security groups.

> Add a spamfilter exception based on reputation

For this you can now use:
spamfilter {
        ...
        except {
                reputation-score 50;
        }
}


> Exempt #help-channel from channel-message in restrict-commands

For this you can now use:
set {
        restrict-commands {
                channel-message {
                        except {
                                connect-time 600;
                                destination "#test";
                        }
                }
         }
}


Documentation could be better though.

And adding a general set::spamfilter::except may be a good idea. Right now that setting means a list of channels/nicks, but it would be nicer as a mask item.

syzop

2024-07-06 10:21

administrator   ~0023252

Transformed the set::spamfilter::except into a Mask item. All this will be in 6.1.7.

Issue History

Date Modified Username Field Change
2021-06-04 08:09 GHF New Issue
2021-06-14 17:23 syzop Note Added: 0022003
2021-12-30 13:51 syzop Summary exemptions => exempt channel from restrict-commands channel-message
2024-07-06 09:27 syzop Assigned To => syzop
2024-07-06 09:27 syzop Status new => resolved
2024-07-06 09:27 syzop Resolution open => fixed
2024-07-06 09:27 syzop Fixed in Version => 6.1.7-rc1
2024-07-06 09:27 syzop Note Added: 0023251
2024-07-06 10:21 syzop Note Added: 0023252